Summary:	An X Window System tool for drawing basic vector graphics
Name:		xfig
Version:	3.2.5b
Epoch:	 	1
Release:	10
License:	MIT
Group:		Graphics
# needs rman to build
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	imake
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xp)
URL:		http://www.xfig.org/
Source0:	http://files.xfig.org/%{name}.%{version}.full.tar.gz
Source1:	xfig.png
Source3:	xfig-mini.png
Source4:	xfig-large.png
Patch0:		Imakefile.3.2.5b.patch
Patch1:		xfig.3.2.5b-readers.patch
Patch2:		xfig.3.2.5b-resources.patch
Patch3:		xfig-format-string.patch
Patch4:		xfig.3.2.5b-CVE-2009-4227,4228.diff
Patch5:		xfig.3.2.5b-CVE-2010-4262.diff
Patch6:		xfig-3.2.5b-libpng15.patch
Requires:	transfig >= 3.2.5a
Requires:	xdg-utils, aspell

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n %{name}.%{version}
# fix perms
find -type d | xargs chmod 755

%patch0 -p1 -b .Imakefile
%patch1 -p1 -b .readers
%patch2 -p1 -b .resources
%patch3 -p0
%patch4 -p0 -b .CVE-2009-4227,4228
%patch5 -p0 -b .CVE-2010-4262
%patch6 -p1 -b .png15

%build
find Libraries -type d -exec chmod 700 {} \;

xmkmf
#perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
#perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile

%make CDEBUGFLAGS="%{optflags} -fno-strength-reduce -fno-strict-aliasing"

%install
# Hack around an ugly problem for now. --Geoff
mkdir -p Doc/Doc
cp -f Doc/xfig.man Doc/Doc/xfig.man
%__make DESTDIR=%{buildroot} install install.man install.libs install.doc

# Fix for #42629:
find %{buildroot}/usr/lib/X11/xfig/Libraries -type d -exec chmod 755 {} \;
find %{buildroot}/usr/lib/X11/xfig/Libraries -type f -exec chmod 644 {} \;
find %{buildroot}%{_docdir}/xfig/html -type d -exec chmod 755 {} \;
find %{buildroot}%{_docdir}/xfig/html -type f -exec chmod 644 {} \;

# Menu Entry:
install -m 755 -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XFig
Comment=Vector Graphics Drawing Tool
Comment[ru]=Интсрумент создания векторных изображений
Exec=%{name}
Icon=xfig
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Office-Drawing;Graphics;VectorGraphics;
EOF
chmod 644 %{buildroot}%{_datadir}/applications/%{name}.desktop

# Discard zero-length file:
rm -f %{buildroot}%{_docdir}/xfig/html/images/sav1a0.tmp

install -m 644 CHANGES README Doc/FORMAT* Doc/TODO Doc/xfig-howto.* Fig-color.ad %{buildroot}%{_docdir}/%{name}

# (fg) 10000918 Icons
install -m 755 -d %{buildroot}%{_iconsdir}/{mini,large}
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/xfig.png
install -m 644 %{SOURCE4} %{buildroot}%{_liconsdir}/xfig.png
rm -f %{buildroot}%{_prefix}/lib/X11/app-defaults

# Install alternative colour scheme:
install -m644 Fig-color.bisque.ad %{buildroot}%{_sysconfdir}/X11/app-defaults/Fig-color

%files
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%docdir %{_docdir}/%{name}
%{_docdir}/%{name}
%{_bindir}/*
%{_prefix}/lib/X11/xfig
%{_mandir}/man1/xfig*
%{_datadir}/applications/*desktop
%{_iconsdir}/xfig.png
%{_miconsdir}/xfig.png
%{_liconsdir}/xfig.png


%changelog

* Wed Mar 23 2016 Denis Silakov <dsilakov@gmail.com> 1:3.2.5b-10
- (509185b) Fix build


